#ifndef PT_H_INCLUDED
#define PT_H_INCLUDED

#include "misc.h"
void pt_awrdr1(int &pt1,int x1,int x2,float R,float angle1,float power1,float windspeed,int k){
int l=50;
float fc=R+x1,fc2[5], fc1;
const float pi=3.141592653589793;
switch(k) {
//single shot
case 0:
if (fc>=x2-l&&fc<=x2+l) {pt1+=40;}
else if (fc>=x2-l-20&&fc<=x2+l+20) {pt1+=30;}
else if (fc>=x2-l-40&&fc<=x2+l+40) {pt1+=20;}
else if (fc>=x2-l-60&&fc<=x2+l+60) {pt1+=10;}
if (fc>=x1-l&&fc<=x1+l) {pt1-=40;}
else if (fc>=x1-l-20&&fc<=x1+l+20) {pt1-=30;}
else if (fc>=x1-l-40&&fc<=x1+l+40) {pt1-=20;}
else if (fc>=x1-l-60&&fc<=x1+l+60) {pt1-=10;}
break;
//big shot
case 1:
if (fc>=x2-l&&fc<=x2+l) {pt1+=60;}
else if (fc>=x2-l-25&&fc<=x2+l+25) {pt1+=45;}
else if (fc>=x2-l-50&&fc<=x2+l+50) {pt1+=30;}
else if (fc>=x2-l-75&&fc<=x2+l+75) {pt1+=15;}
if (fc>=x1-l&&fc<=x1+l) {pt1-=60;}
else if (fc>=x1-l-25&&fc<=x1+l+25) {pt1-=45;}
else if (fc>=x1-l-50&&fc<=x1+l+50) {pt1-=30;}
else if (fc>=x1-l-75&&fc<=x1+l+75) {pt1-=15;}
break;
//scatter shot
case 2:
if (fc<=x2+l&&fc>=x2-l) {pt1+=60;}
else {
for (int j=0;j<5;j++) {
angle1=30*(j+1);
if (angle1!=90) {power1=10/cos(angle1*pi/180);}
else {power1=0;}
fc1=range(x1,0,angle1*pi/180,power1,1);
fc2[j]=fc+fc1;
if(fc2[j]<=x2+l&&fc2[j]>=x2-l) {pt1+=20;}
else if (fc2[j]<=x2+l+20&&fc2[j]>=x2-l-20) {pt1+=15;}
else if (fc2[j]<=x2+l+40&&fc2[j]>=x2-l-40) {pt1+=10;}
else if (fc2[j]<=x2+l+60&&fc2[j]>=x2-l-60) {pt1+=5;}
if (fc2[j]<=x1+l&&fc2[j]>=x1-l) {pt1-=20;}
else if (fc2[j]<=x1+l+20&&fc2[j]>=x1-l-20) {pt1-=15;}
else if (fc2[j]<=x1+l+40&&fc2[j]>=x1-l-40) {pt1-=10;}
else if (fc2[j]<=x1+l+60&&fc2[j]>=x1-l-60) {pt1-=5;}
}
}
break;
//tommygun
case 3:
if(fc>=x2-l&&fc<=x2+l){pt1+=100;}
else if (fc>=x2-l-15&&fc<=x2+l+15) {pt1+=80;}
else if (fc>=x2-l-30&&fc<=x2+l+30) {pt1+=50;}
else if (fc>=x2-l-45&&fc<=x2+l+45) {pt1+=20;}
if (fc>=x1-l&&fc<=x1+l) {pt1-=100;}
else if (fc>=x1-l-15&&fc<=x1+l+15) {pt1-=80;}
else if (fc>=x1-l-30&&fc<=x1+l+30) {pt1-=50;}
else if (fc>=x1-l-45&&fc<=x1+l+45) {pt1-=20;}
break;
//fireball
case 4:
if (fc<=x2+l && fc>=x2-l) {pt1+=60;}
else if (fc<=x2+l+25&&fc>=x2-l-25) {pt1+=30;}
else if (fc<=x2+l+50&&fc>=x2-l-50) {pt1+=20;}
else if (fc<=x2+l+75&&fc>=x2-l-75) {pt1+=10;}

else if (fc<=x1+l && fc>=x1-l) {pt1-=60;}
else if (fc<=x1+l+25&&fc>=x1-l-25) {pt1-=30;}
else if (fc<=x1+l+50&&fc>=x1-l-50) {pt1-=20;}
else if (fc<=x1+l+75&&fc>=x1-l-75) {pt1-=10;}
else {
angle1=angle1/2;
power1/=5;
fc1=range(x1,windspeed,angle1*pi/180,power1,1)+fc;
if (fc1<=x2+l&&fc1>=x2-l) {pt1+=40;}
else if (fc1<=x2+l+25&&fc1>=x2-l-25) {pt1+=30;}
else if (fc1<=x2+l+50&&fc1>=x2-l-50) {pt1+=20;}
else if (fc1<=x2+l+75&&fc1>=x2-l-75) {pt1+=10;}
if (fc1<=x1+l&&fc1>=x1-l) {pt1-=40;}
else if (fc1<=x1+l+25&&fc1>=x1-l-25) {pt1-=30;}
else if (fc1<=x1+l+50&&fc1>=x1-l-50) {pt1-=20;}
else if (fc1<=x1+l+75&&fc1>=x1-l-75) {pt1-=10;}
}
break;
//sniper gun
case 6:
if (fc<=x2+l&&fc>=x2-l) {pt1+=200;}
else if (fc<=x1+l&&fc>=x1-l) {pt1-=200;}
else {pt1+=0;}
break;
//worm
case 7:
if (fc>x2+l || fc<x2-l-250) {pt1+=0;}
else if (fc>=x2-l&&fc<=x2+l) {pt1+=50;}
if (fc>=x1-l&&fc<=x1+l) {pt1-=50;}
else if (fc<x2-l) {
pt1+=20;
}
break;
//homing missile
case 8:
if (fc>=x2-l) {pt1+=80;}
else if (fc>=x2-l-25&&fc<x2-l) {pt1+=60;}
else if (fc>=x2-l-50&&fc<x2-l) {pt1+=40;}
else if (fc>=x2-l-75&&fc<x2-l) {pt1+=20;}
if (fc<=x1+l&&fc>=x1-l) {pt1-=80;}
else if (fc>=x1-l-25&&fc<x1+l+25) {pt1-=60;}
else if (fc>=x1-l-50&&fc<x1+l+50) {pt1-=40;}
else if (fc>=x1-l-75&&fc<x1+l+75) {pt1-=20;}
break;
//zapper
//case 9:
//a bit different

//tracker
case 10:
//no change in points for tracker
break;
default:return;

}
return ;
}





void pt_awrdr2(int &pt2,int x1,int x2,float R,float angle2,float power2,float windspeed,int j){
int l=50;
float fc=x2-R,fc2[5], fc1;
const float pi=3.141592653589793;
switch(j) {

//single shot
case 0:
if (fc>=x1-l&&fc<=x1+l) {pt2+=40;}
else if (fc>=x1-l-20&&fc<=x1+l+20) {pt2+=30;}
else if (fc>=x1-l-40&&fc<=x1+l+40) {pt2+=20;}
else if (fc>=x1-l-60&&fc<=x1+l+60) {pt2+=10;}
if (fc>=x2-l&&fc<=x2+l) {pt2-=40;}
else if (fc>=x2-l-20&&fc<=x2+l+20) {pt2-=30;}
else if (fc>=x2-l-40&&fc<=x2+l+40) {pt2-=20;}
else if (fc>=x2-l-60&&fc<=x2+l+60) {pt2-=10;}
break;

//big shot
case 1:
if (fc>=x1-l&&fc<=x1+l) {pt2+=60;}
else if (fc>=x1-l-25&&fc<=x1+l+25) {pt2+=45;}
else if (fc>=x1-l-50&&fc<=x1+l+50) {pt2+=30;}
else if (fc>=x1-l-75&&fc<=x1+l+75) {pt2+=15;}
if (fc>=x2-l&&fc<=x2+l) {pt2-=60;}
else if (fc>=x2-l-25&&fc<=x2+l+25) {pt2-=45;}
else if (fc>=x2-l-50&&fc<=x2+l+50) {pt2-=30;}
else if (fc>=x2-l-75&&fc<=x2+l+75) {pt2-=15;}
break;

//scatter shot
case 2:
if (fc<=x1+l&&fc>=x1-l) {pt2+=60;}
else {
for (int j=0;j<5;j++) {
angle2=30*(j+1);
if (angle2!=90) {power2=10/cos(angle2*pi/180);}
else {power2=0;}
fc1=range(x2,0,angle2*pi/180,power2,2);
fc2[j]=(fc-fc1);
if(fc2[j]<=x1+l&&fc2[j]>=x1-l) {pt2+=20;}
else if (fc2[j]<=x1+l+20&&fc2[j]>=x1-l-20) {pt2+=15;}
else if (fc2[j]<=x1+l+40&&fc2[j]>=x1-l-40) {pt2+=10;}
else if (fc2[j]<=x1+l+60&&fc2[j]>=x1-l-60) {pt2+=5;}
if (fc2[j]<=x2+l&&fc2[j]>=x2-l) {pt2-=20;}
else if (fc2[j]<=x2+l+20&&fc2[j]>=x2-l-20) {pt2-=15;}
else if (fc2[j]<=x2+l+40&&fc2[j]>=x2-l-40) {pt2-=10;}
else if (fc2[j]<=x2+l+60&&fc2[j]>=x2-l-60) {pt2-=5;}
}
}
break;

//tommygun
case 3:
if(fc>=x1-l&&fc<=x1+l){pt2+=100;}
else if (fc>=x1-l-15&&fc<=x1+l+15) {pt2+=80;}
else if (fc>=x1-l-30&&fc<=x1+l+30) {pt2+=50;}
else if (fc>=x1-l-45&&fc<=x1+l+45) {pt2+=20;}
if (fc>=x2-l&&fc<=x2+l) {pt2-=100;}
else if (fc>=x2-l-15&&fc<=x2+l+15) {pt2-=80;}
else if (fc>=x2-l-30&&fc<=x2+l+30) {pt2-=50;}
else if (fc>=x2-l-45&&fc<=x2+l+45) {pt2-=20;}
break;

//fireball
case 4:
if (fc<=x1+l && fc>=x1-l) {pt2+=60;}
else if (fc<=x1+l+25&&fc>=x1-l-25) {pt2+=30;}
else if (fc<=x1+l+50&&fc>=x1-l-50) {pt2+=20;}
else if (fc<=x1+l+75&&fc>=x1-l-75) {pt2+=10;}
else if (fc<=x2+l && fc>=x2-l) {pt2-=60;}
else if (fc<=x2+l+25&&fc>=x2-l-25) {pt2-=30;}
else if (fc<=x2+l+50&&fc>=x2-l-50) {pt2-=20;}
else if (fc<=x2+l+75&&fc>=x2-l-75) {pt2-=10;}
else {
angle2=angle2/2;
power2/=5;
fc1=fc-range(x2,windspeed,angle2*pi/180,power2,2);
if (fc1<=x1+l&&fc1>=x1-l) {pt2+=40;}
else if (fc1<=x1+l+25&&fc1>=x1-l-25) {pt2+=30;}
else if (fc1<=x1+l+50&&fc1>=x1-l-50) {pt2+=20;}
else if (fc1<=x1+l+75&&fc1>=x1-l-75) {pt2+=10;}
if (fc1<=x2+l&&fc1>=x2-l) {pt2-=40;}
else if (fc1<=x2+l+25&&fc1>=x2-l-25) {pt2-=30;}
else if (fc1<=x2+l+50&&fc1>=x2-l-50) {pt2-=20;}
else if (fc1<=x2+l+75&&fc1>=x2-l-75) {pt2-=10;}
}
break;

//sniper gun
case 6:
if (fc<=x1+l&&fc>=x1-l) {pt2+=200;}
else if (fc<=x2+l&&fc>=x2-l) {pt2-=200;}
else {pt2+=0;}
break;

//worm
case 7:
if (fc<x1-l || fc>x1+l+250) {pt2+=0;}
else if (fc>=x1-l&&fc<=x1+l) {pt2+=50;}
if (fc>=x2-l&&fc<=x2+l) {pt2-=50;}
else if(fc>x1+l) {
pt2+=20;
}
break;

//homing missile
case 8:
if (fc<=x1+l) {pt2+=80;}
else if (fc<=x1+l+25&&fc>x1+l) {pt2+=60;}
else if (fc<=x1+l+50&&fc>x1+l) {pt2+=40;}
else if (fc<=x1+l+75&&fc>x1+l) {pt2+=20;}
if (fc<=x2+l&&fc>=x2-l) {pt2-=80;}
else if (fc>=x2-l-25&&fc<x2+l+25) {pt2-=60;}
else if (fc>=x2-l-50&&fc<x2+l+50) {pt2-=40;}
else if (fc>=x2-l-75&&fc<x2+l+75) {pt2-=20;}
break;
//zapper
//case 9:
//a bit different

//tracker
case 10:
//no change in points for tracker
break;
default:return;

}
return ;
}

#endif
