#include <iostream>
#include <simplecpp>
#include <cmath>
#include <stdlib.h>
#include "pt.h"
#include "trajectory.h"
using namespace std;


int main()
{
    const float pi=3.142857;
    char p1name[30], p2name[30];

    /* ******Home Screen****** */

    initCanvas("BATTLEZONE",1500,800);

    Text tt1(650,500,"Press Enter to continue");
    tt1.hide();
    Text tt2(650,520,"Press Backspace to select again");
    tt2.hide();
    XEvent e1;
    int ch=0;
    while(true)
    {
    Text (750,200,"************ BATTLE - ZONE *************").imprint();
    Text (650,420,"1. Play").imprint();
    Text (650,440,"2. Exit").imprint();
    Text (650,480,"Enter choice : ").imprint();

    Text t1(810,480,"1");
    t1.hide();
    Text t2(810,480,"2");
    t2.hide();
    nextEvent(e1);
    while(true)
    {
        if (keyPressEvent(e1)==true)
        {
            if (charFromEvent(e1)==49)
            {
                ch=1;
                t1.show();
                tt1.show();
                tt2.show();
            }
            else if (charFromEvent(e1)==50)
            {
                ch=2;
                t2.show();
                tt1.show();
                tt2.show();
            }
            else if (charFromEvent(e1)==13)
            {
                if (ch==2)
                    return 0;
                else if (ch==1)
                    break;
            }
            else if (charFromEvent(e1)==8)
            {
                t1.hide();
                t2.hide();
                tt1.hide();
                tt2.hide();
                ch=0;
            }
        }
        nextEvent(e1);
    }
    if (ch==1)
    {
        Rectangle re(750,400,1500,800);
        re.setFill();
        re.setColor(COLOR(255,255,255));
        Text tp11(700,200,p1name);
        tp11.hide();

        Text tp1(400,200,"Enter player 1's name : ");
        tp1.show();
        tp1.imprint();
        p1name[0]='\0';
        nextEvent(e1);
        int i=0;

        while(true)
        {
            if (keyPressEvent(e1)==true)
            {
                if (charFromEvent(e1)==13)
                {
                    if (i==0)
                    {
                        Text terr1(400,400,"Enter a name!!");
                        wait(2);
                        terr1.hide();
                        continue;
                    }
                    break;
                }
                else if (charFromEvent(e1)==8)
                {
                    p1name[i-1]=p1name[i];
                    i--;
                }
                else
                {
                    p1name[i+1]='\0';
                    p1name[i]=charFromEvent(e1);
                    i++;
                    tp11.reset(700,200,p1name);
                    tp11.show();
                    tp11.imprint();
                }
            }
            nextEvent(e1);
        }
        tp1.hide();
        tp11.hide();
        i=0;
        re.imprint();
        Text tp22(700,200,p2name);
        tp22.hide();
        Text tp2(400,200,"Enter player 2's name : ");
        tp1.show();
        tp1.imprint();
        p2name[0]='\0';

        while(true)
        {
            nextEvent(e1);
            if (keyPressEvent(e1)==true)
            {
                if (charFromEvent(e1)==13)
                {
                    if (i==0)
                    {
                        Text terr2(400,300,"Enter a name!!");
                        wait(2);
                        terr2.hide();
                        continue;
                    }
                    break;
                }
                else if (charFromEvent(e1)==8)
                {
                    p2name[i-1]=p2name[i];
                    i--;
                }
                else
                {
                    p2name[i+1]='\0';
                    p2name[i]=charFromEvent(e1);
                    i++;
                    tp22.reset(700,200,p2name);
                    tp22.show();
                    tp22.imprint();
                }
            }
        }
        tp2.hide();
        tp22.hide();


        int x1=200,x2=1300,l=50,n=0,pt1=0,pt2=0,wpn1[11],wpn2[11],j=0,k=0;
        float power1=0,power2=0,angle1=0,angle2=0,R=0,windspeed=0;
        char f, g;
        //length of tank is 2*l
        Text trn(950,200,n);
        trn.hide();
        re.imprint();
        Text tr(400,200,"How many rounds do u want to play ?");
        tr.imprint();
        tr.show();
        nextEvent(e1);
        while(true)
        {

            if (keyPressEvent(e1)==true)
            {
                if (charFromEvent(e1)==13)
                {
                    if (n==0)
                    {
                        Text terr3(400,300,"Choose a number between 1 and 10 !!");
                        wait(2);
                        terr3.hide();
                    }
                    else
                        break;
                }

                else if (charFromEvent(e1)=='0')
                {
                    if (n==1)
                    {
                        n=10;
                        trn.reset(950,200,10);
                        trn.show();
                        trn.imprint();
                    }
                }
                else if (charFromEvent(e1)>='1'||charFromEvent(e1)<='9')
                {
                    n=int(charFromEvent(e1))-48;
                    trn.reset(950,200,n);
                    trn.show();
                    trn.imprint();
                }
                else if (charFromEvent(e1)==8)
                {
                    if (n>=1&&n<=9)
                    {
                        n=0;
                        trn.hide();
                    }
                    else if (n==10)
                    {
                        n=1;
                        trn.reset(950,200,n);
                        trn.show();
                        trn.imprint();
                    }
                }
            }
            nextEvent(e1);
        }

        Rectangle re1(750,400,1500,800);
        re1.setFill();
        re1.setColor(COLOR(255,255,255));
        Text tw1(750,200,"Do you want the effect of wind during the game?(enter 'Y' for yes and 'N' for no) ");
        tw1.show();
        tw1.imprint();
        while(true)
        {
            nextEvent(e1);
            if (keyPressEvent(e1)==true)
            {
                if (charFromEvent(e1)=='y'||charFromEvent(e1)=='Y')
                {
                    g='Y';break;
                }
                else if (charFromEvent(e1)=='n'||charFromEvent(e1)=='N')
                    g='N';break;
            }
        }


        Rectangle r2(750,350,1500,700);//sky
        r2.setFill();
        r2.setColor(COLOR(0,191,255));
        Rectangle r1(750,750,1500,100);//ground for flat terrain
        r1.setFill();
        r1.setColor(COLOR(122,252,0));
        Circle c1(x1-l+10,690,10), c2(x1+l-10,690,10);//wheels for tank 1
        Circle c3(x2-l+10,690,10), c4(x2+l-10,690,10);//wheels for tank 2
        Line l1(x1-l+10,700,x1+l-10,700), l2(x2-l+10,700,x2+l-10,700);//lines at the bottom

        c1.setFill();
        c2.setFill();
        c3.setFill();
        c4.setFill();
        Rectangle r3(x1,670,2*l,40);//body tank1
        r3.setFill();
        r3.setColor(COLOR(105,139,34));
        Rectangle r4(x2,670,2*l,40);//body tank2
        r4.setFill();
        r4.setColor(COLOR(176,23,31));
        Circle c5(x1,650,20), c6(x2,650,20);//top circles
        c5.setFill();
        c6.setFill();
        c5.setColor(COLOR(105,139,34));
        c6.setColor(COLOR(176,23,31));
        Rectangle r5(x1+20,630,60,10), r6(x2-20,630,60,10);//barrels for both tanks
        r5.left(45);
        r6.right(45);
        r5.setFill();
        r6.setFill();
        r5.setColor(COLOR(105,139,34));
        r6.setColor(COLOR(176,23,31));
        Text tpp1(x1,710,p1name);//name of player 1
        Text tpp2(x2,710,p2name);//name of player 2

        for(k=0;k<11;k++)
            {wpn1[k]=1;wpn2[k]=1;}
        int flag=0,fd=0;
        Text t2(100,100,"Angle : ");
        t2.imprint();
        Text t3(164,100,angle1);
        Text t4(100,120,"Power : ");
        t4.imprint();
        Text t5(164,120,power1);
        Text t6(100,140,"Windspeed : ");
        t6.imprint();
        Text t7(170,140,windspeed);
        Text t8(x1,750,"Points : ");
        t8.imprint();
        Text t9(x2,750,"Points : ");
        t9.imprint();
        Text t10(x1+64,750,pt1);
        Text t0(x2+64,750,pt2);
        int turn=1;


        Text turn2(750,100,"Player 2's turn");
        turn2.hide();

        Text turn1(750,100,"Player 1's turn");

        Text t11(1300,100,"1.Single Shot");

        Text t12(1300,120,"2.Big shot");

        Text t13(1300,140,"3.Scatter shot");

        Text t14(1300,160,"4.Tommy gun");

        Text t15(1300,180,"5.Fireball");

        Text t16(1300,200,"6.Spider");

        Text t17(1300,220,"7.Sniper gun");

        Text t18(1300,240,"8.Worm");

        Text t19(1300,260,"9.Homing Missile");

        Text t110(1300,280,"10.Zapper");

        Text t111(1300,300,"11.Tracker");
        Text t(750,200,"Select a weapon !!");
        t.hide();
        Text t21(1100,320,"");
        t21.hide();
        angle1=0;angle2=0;power1=0;power2=0;
        for(i=0;i<n;i++)
        {
            turn=1;
            k=-1;j=-1;
            if (g=='Y')
                {windspeed=((rand()%11)-5)*5;}
            t3.reset(164,100,angle1);
            t5.reset(164,120,power1);

    //player 1 starts playing



	//before shooting
            if (turn==1)
            {
                turn1.show();
                t10.reset(x1+64,750,pt1);
                t0.reset(x2+64,750,pt2);
                fd=flag=0;
                t3.reset(164,100,angle1);
                t5.reset(164,120,power1);
                t7.reset(170,140,windspeed);
                t11.show();
                t12.show();
                t13.show();
                t14.show();
                t15.show();
                t16.show();
                t17.show();
                t18.show();
                t19.show();
                t110.show();
                t111.show();

                nextEvent(e1);


                while(true)
                {
                    if (keyPressEvent(e1)==true)
                    {
                        t3.reset(164,100,angle1);
                        t5.reset(164,120,power1);
                        t7.reset(170,140,windspeed);
                        if (charFromEvent(e1)=='w'&&angle1<=89)
                            angle1++;
                        else if (charFromEvent(e1)=='s'&&angle1>=1)
                            angle1--;
                        else if (charFromEvent(e1)=='a'&&power1>=1)
                            power1--;
                        else if (charFromEvent(e1)=='d'&&power1<=99)
                            power1++;
                        //weapons


                        if (wpn1[0]!=1){t11.hide();}//replace with weapon name
                        if (wpn1[1]!=1){t12.hide();}//replace with weapon name
                        if (wpn1[2]!=1){t13.hide();}//replace with weapon name
                        if (wpn1[3]!=1){t14.hide();}//replace with weapon name
                        if (wpn1[4]!=1){t15.hide();}//replace with weapon name
                        if (wpn1[5]!=1){t16.hide();}//replace with weapon name
                        if (wpn1[6]!=1){t17.hide();}//replace with weapon name
                        if (wpn1[7]!=1){t18.hide();}//replace with weapon name
                        if (wpn1[8]!=1){t19.hide();}//replace with weapon name
                        if (wpn1[9]!=1){t110.hide();}//replace with weapon name
                        if (wpn1[10]!=1){t111.hide();}//replace with weapon name

                        switch(charFromEvent(e1))
                        {
                            case 48:
                                if (fd==1)
                                {
                                    if (wpn1[9]==1)
                                    {
                                        flag=1;
                                        k=9;
                                    }
                                    else
                                        flag=0;
                                }
                                break;
                            case 49:
                                if (fd==1)
                                {
                                    if (wpn1[10]==1)
                                    {
                                        flag=1;
                                        k=10;
                                        break;
                                    }
                                }
                                    if (wpn1[0]==1)
                                    {
                                        flag=1;
                                        k=0;
                                    }
                                    else if (wpn1[0]==0)
                                    {
                                        flag=0;
                                    }
                                    fd=1;
                                break;
                            case 50:
                                if (wpn1[1]==1)
                                {
                                    flag=1;
                                    k=1;
                                }
                                else if (wpn1[1]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 51:
                                if (wpn1[2]==1)
                                {
                                    flag=1;
                                    k=2;
                                }
                                else if (wpn1[2]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 52:
                                if (wpn1[3]==1)
                                {
                                    flag=1;
                                    k=3;
                                }
                                else if (wpn1[3]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 53:
                                if (wpn1[4]==1)
                                {
                                    flag=1;
                                    k=4;
                                }
                                else if (wpn1[4]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 54:
                                if (wpn1[5]==1)
                                {
                                    flag=1;
                                    k=5;
                                }
                                else if (wpn1[5]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 55:
                                if (wpn1[6]==1)
                                {
                                    flag=1;
                                    k=6;
                                }
                                else if (wpn1[6]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 56:
                                if (wpn1[7]==1)
                                {
                                    flag=1;
                                    k=7;
                                }
                                else if (wpn1[7]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 57:
                                if (wpn1[8]==1)
                                {
                                    flag=1;
                                    k=8;
                                }
                                else if (wpn1[8]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                        }

                        t21.hide();
                        if (k==-1)t21.reset(1300,320,"Selected weapon : ");
                        if (k==0)t21.reset(1300,320,"Selected Weapon : 1.Single shot");
                        if (k==1)t21.reset(1300,320,"Selected Weapon : 2.Big shot");
                        if (k==2)t21.reset(1300,320,"Selected Weapon : 3.Scatter shot");
                        if (k==3)t21.reset(1300,320,"Selected Weapon : 4.Tommy Gun");
                        if (k==4)t21.reset(1300,320,"Selected Weapon : 5.Fireball");
                        if (k==5)t21.reset(1300,320,"Selected Weapon : 6.Spider");
                        if (k==6)t21.reset(1300,320,"Selected Weapon : 7.Sniper gun");
                        if (k==7)t21.reset(1300,320,"Selected Weapon : 8.Worm");
                        if (k==8)t21.reset(1300,320,"Selected Weapon : 9.Homing Missile");
                        if (k==9)t21.reset(1300,320,"Selected Weapon : 10.Zapper");
                        if (k==10)t21.reset(1300,320,"Selected Weapon : 11.Tracker");
                        if (charFromEvent(e1)==32)
                        {
                            if (flag==0)
                                {t.show();wait(2);t.hide();}
                            else if (flag==1)
                                break;
                        }
                        nextEvent(e1);
                    }
                }
   //k denotes the choice of weapon for P1
                trajectory1(angle1*pi/180,power1,0,x1,x2,k,pt1);
                R=range(x1,windspeed,angle1*pi/180,power1,1);
   //update points
                if (k!=5&&k!=9)
                    pt_awrdr1(pt1,x1,x2,R,angle1,power1,windspeed,k);
                wpn1[k]=0;
                turn=2;
                turn1.hide();
            }

            turn2.show();
            t3.reset(164,100,angle2);
            t5.reset(164,120,power2);
            t7.reset(170,140,windspeed);
            t10.reset(x1+64,750,pt1);
            t0.reset(x2+64,750,pt2);
            fd=0;flag=0;
            if (turn==2)
            {

                nextEvent(e1);
                while(true)
                {
                    if (keyPressEvent(e1)==true)
                    {
                        t3.reset(164,100,angle2);
                        t5.reset(164,120,power2);
                        if (charFromEvent(e1)=='w')
                            angle2++;
                        else if (charFromEvent(e1)=='s')
                            angle2--;
                        else if (charFromEvent(e1)=='a')
                            power2--;
                        else if (charFromEvent(e1)=='d')
                            power2++;
                        //weapons


                        if (wpn2[0]!=1){t11.hide();}//replace with weapon name
                        if (wpn2[1]!=1){t12.hide();}//replace with weapon name
                        if (wpn2[2]!=1){t13.hide();}//replace with weapon name
                        if (wpn2[3]!=1){t14.hide();}//replace with weapon name
                        if (wpn2[4]!=1){t15.hide();}//replace with weapon name
                        if (wpn2[5]!=1){t16.hide();}//replace with weapon name
                        if (wpn2[6]!=1){t17.hide();}//replace with weapon name
                        if (wpn2[7]!=1){t18.hide();}//replace with weapon name
                        if (wpn2[8]!=1){t19.hide();}//replace with weapon name
                        if (wpn2[9]!=1){t110.hide();}//replace with weapon name
                        if (wpn2[10]!=1){t111.hide();}//replace with weapon name

                        switch(charFromEvent(e1))
                        {
                            case 48:
                                if (fd==1)
                                {
                                    if (wpn2[9]==1)
                                    {
                                        flag=1;
                                        j=9;
                                    }
                                    else
                                        flag=0;
                                }
                                break;
                            case 49:
                                if (fd==1)
                                {
                                    if (wpn2[10]==1)
                                    {
                                        flag=1;
                                        j=10;
                                    }
                                    else
                                        flag=0;
                                }
                                else
                                {
                                    if (wpn2[0]==1)
                                    {
                                        flag=1;
                                        j=0;
                                    }
                                    else if (wpn2[0]==0)
                                    {
                                        flag=0;
                                    }
                                    fd=1;
                                }
                                break;
                            case 50:
                                if (wpn2[1]==1)
                                {
                                    flag=1;
                                    j=1;
                                }
                                else if (wpn2[1]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 51:
                                if (wpn2[2]==1)
                                {
                                    flag=1;
                                    j=2;
                                }
                                else if (wpn2[2]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 52:
                                if (wpn2[3]==1)
                                {
                                    flag=1;
                                    j=3;
                                }
                                else if (wpn2[3]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 53:
                                if (wpn2[4]==1)
                                {
                                    flag=1;
                                    j=4;
                                }
                                else if (wpn2[4]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 54:
                                if (wpn2[5]==1)
                                {
                                    flag=1;
                                    j=5;
                                }
                                else if (wpn2[5]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 55:
                                if (wpn2[6]==1)
                                {
                                    flag=1;
                                    j=6;
                                }
                                else if (wpn2[6]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 56:
                                if (wpn2[7]==1)
                                {
                                    flag=1;
                                    j=7;
                                }
                                else if (wpn2[7]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                            case 57:
                                if (wpn2[8]==1)
                                {
                                    flag=1;
                                    j=8;
                                }
                                else if (wpn2[8]==0)
                                {
                                    flag=0;
                                }
                                fd=0;
                                break;
                        }

                        t21.hide();
                        if (j==0)t21.reset(1300,320,"Selected Weapon : 1.Single shot");
                        if (j==1)t21.reset(1300,320,"Selected Weapon : 2.Big shot");
                        if (j==2)t21.reset(1300,320,"Selected Weapon : 3.Scatter shot");
                        if (j==3)t21.reset(1300,320,"Selected Weapon : 4.Tommy Gun");
                        if (j==4)t21.reset(1300,320,"Selected Weapon : 5.Fireball");
                        if (j==5)t21.reset(1300,320,"Selected Weapon : 6.Spider");
                        if (j==6)t21.reset(1300,320,"Selected Weapon : 7.Sniper gun");
                        if (j==7)t21.reset(1300,320,"Selected Weapon : 8.Worm");
                        if (j==8)t21.reset(1300,320,"Selected Weapon : 9.Homing Missile");
                        if (j==9)t21.reset(1300,320,"Selected Weapon : 10.Zapper");
                        if (j==10)t21.reset(1300,320,"Selected Weapon : 11.Tracker");
                        if (charFromEvent(e1)==32)
                        {
                            if (flag==0)
                                {t.show();wait(2);t.hide();}
                            else if (flag==1)
                                break;
                        }
                        nextEvent(e1);
                    }
                }
   //k denotes the choice of weapon for P1
                trajectory2(angle2*pi/180,power2,windspeed,x2,x1,j,pt2);
                R=range(x2,windspeed,angle2*pi/180,power2,2);
   //update points
                if (j!=5&&j!=9)
                    pt_awrdr2(pt2,x1,x2,R,angle2,power2,windspeed,j);
                wpn2[j]=0;
                turn=1;
                turn2.hide();
                t10.reset(x1+64,750,pt1);
                t0.reset(x2+64,750,pt2);

            }

        }
        Text q1(750,400,p1name);
        Text q2(750,420,"wins!!");
        Text q3(750,400,p2name);
        Text q4(750,420,"wins!!");
        Text q5(750,400,"The match is tied!!" );
        Text q6(750,440,"Press any key to continue");
        q1.hide();
        q2.hide();
        q3.hide();
        q4.hide();
        q5.hide();
        if (pt1>pt2)
        {
                q1.show();
                q2.show();
        }
        else if (pt1<pt2)
        {
            q3.show();
            q4.show();
        }
        else
        {
            q5.show();
        }
        q6.show();
        nextEvent(e1);
        q1.hide();
        q2.hide();
        q3.hide();
        q4.hide();
        q5.hide();
    }
    Rectangle re2(750,400,1500,800);
    re2.setFill();
    re2.setColor(COLOR(255,255,255));
    re2.imprint();
    re2.hide();
    }
    return 0;
}
